StandardLocation (Java Platform SE 8 )
Keywords: javax.tools.StandardLocation class
Date: 2017-01-22

compact3
javax.tools

## Enum StandardLocation

- java.lang.Object
- - java.lang.Enum<StandardLocation>
  - - javax.tools.StandardLocation

- All Implemented Interfaces:
    Serializable, Comparable<StandardLocation>, JavaFileManager.Location

      public enum StandardLocation
      extends Enum<StandardLocation>
      implements JavaFileManager.Location

  Standard locations of file objects.
  Since:
    1.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANNOTATION_PROCESSOR_PATH` Location to search for annotation processors.
    `CLASS_OUTPUT` Location of new class files.
    `CLASS_PATH` Location to search for user class files.
    `NATIVE_HEADER_OUTPUT` Location of new native header files.
    `PLATFORM_CLASS_PATH` Location to search for platform classes.
    `SOURCE_OUTPUT` Location of new source files.
    `SOURCE_PATH` Location to search for existing source files.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the name of this location.
    `boolean` | `isOutputLocation()` Determines if this is an output location.
    `static JavaFileManager.Location` | `locationFor(String name)` Gets a location object with the given name.
    `static StandardLocation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StandardLocation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLASS_OUTPUT

          public static final StandardLocation CLASS_OUTPUT

      Location of new class files.

    - #### SOURCE_OUTPUT

          public static final StandardLocation SOURCE_OUTPUT

      Location of new source files.

    - #### CLASS_PATH

          public static final StandardLocation CLASS_PATH

      Location to search for user class files.

    - #### SOURCE_PATH

          public static final StandardLocation SOURCE_PATH

      Location to search for existing source files.

    - #### ANNOTATION_PROCESSOR_PATH

          public static final StandardLocation ANNOTATION_PROCESSOR_PATH

      Location to search for annotation processors.

    - #### PLATFORM_CLASS_PATH

          public static final StandardLocation PLATFORM_CLASS_PATH

      Location to search for platform classes. Sometimes called the boot class path.

    - #### NATIVE_HEADER_OUTPUT

          public static final StandardLocation NATIVE_HEADER_OUTPUT

      Location of new native header files.
      Since:
        1.8

  - ### Method Detail

    - #### values

          public static StandardLocation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StandardLocation c : StandardLocation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StandardLocation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### locationFor

          public static JavaFileManager.Location locationFor(String name)

      Gets a location object with the given name. The following property must hold: `locationFor(x) == locationFor(y)` if and only if `x.equals(y)`. The returned location will be an output location if and only if name ends with `"_OUTPUT"`.
      Parameters:
        `name` - a name
      Returns:
        a location

    - #### getName

          public String getName()

      Description copied from interface: `JavaFileManager.Location`
      Gets the name of this location.
      Specified by:
        `getName` in interface `JavaFileManager.Location`
      Returns:
        a name

    - #### isOutputLocation

          public boolean isOutputLocation()

      Description copied from interface: `JavaFileManager.Location`
      Determines if this is an output location. An output location is a location that is conventionally used for output.
      Specified by:
        `isOutputLocation` in interface `JavaFileManager.Location`
      Returns:
        true if this is an output location, false otherwise

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.